import { Selector, createSelector } from '@ngrx/store';
import { StatusBulkInfo } from '@ucap-webmessenger/protocol-status';
import { EntityState, createEntityAdapter } from '@ngrx/entity';
import { MainMenu } from '@app/types';

export interface State {
  gnbMenuIndex: MainMenu;
}

export const initialState: State = {
  gnbMenuIndex: MainMenu.Group
};

export function selectors<S>(selector: Selector<any, State>) {
  return {
    gnbMenuIndex: createSelector(selector, (state: State) => state.gnbMenuIndex)
  };
}
